Gets the latest status of a EFT Collection
GET
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
collectionId*stringFormat
uuidX-Forwarded-For?stringOK
application/json- response
status?CollectionStateValue in
"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""TRANSACTION_FAILURE""DISPUTED""UNPAID""UNPAID_WITH_RECOURSE""INTERNAL_FAILURE""CUTOFF"collectionId?string|nullmandateReferenceNumber?string|nulldebicheckTrackingDays?integerFormat
int32profileCode?string|nullcode?string|nulldescription?string|nullexternalReference?string|nullfileNameReference?string|nullcreatedAt?stringFormat
date-timeid?string|nullcurl -X GET 'https://www.api.revio.co.za/v2/collection/eft/497f6eca-6276-4993-bfeb-53cbbbba6f08/status'Example Response200
{ "status": "NEW", "collectionId": "string", "mandateReferenceNumber": "string", "debicheckTrackingDays": 0, "profileCode": "string", "code": "string", "description": "string", "externalReference": "string", "fileNameReference": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string"}